当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 9.04安装sun-java6-jre问题
帖子发表于 : 2009-07-31 0:09 

注册: 2007-12-12 12:21
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
用 sudo apt-get install sun-java6-jre安装时出现
下列的软件包有不能满足的依赖关系:
sun-java6-jre: 依赖: java-common (>= 0.24) 但却无法安装它
依赖: sun-java6-bin (= 6-14-0ubuntu1.9.04) 但是它将不会被安装 或
ia32-sun-java6-bin (= 6-14-0ubuntu1.9.04) 但却无法安装它
推荐: gsfonts-x11 但却无法安装它
E: 无法安装的软件包
这个怎么解决。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 9.04安装sun-java6-jre问题
帖子发表于 : 2009-07-31 0:32 
头像

注册: 2008-10-27 22:28
帖子: 1151
地址: 暮色酒馆
送出感谢: 0 次
接收感谢: 0 次
手动新利得里搜java-common 版本0.24或更高安装
sun-java6-bin 版本6-14-0ubuntu1.9.04
其他类推,手动安装好后
再sudo apt-get install sun-java6-jre
不过我安装java时还没出现你这种情况


_________________
优猫饼


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 9.04安装sun-java6-jre问题
帖子发表于 : 2009-07-31 19:35 

注册: 2007-12-12 12:21
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
在源里没有java-common包提示

现在没有可用的软件包 java-common,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到

并且sun-java6-jre和sun-java6-bin 相互依赖


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 9.04安装sun-java6-jre问题
帖子发表于 : 2009-07-31 22:27 
头像

注册: 2008-10-27 22:28
帖子: 1151
地址: 暮色酒馆
送出感谢: 0 次
接收感谢: 0 次
附件:
Screenshot-新立得软件包管理器 .png
Screenshot-新立得软件包管理器 .png [ 180.13 KiB | 被浏览 325 次 ]



_________________
优猫饼


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 9.04安装sun-java6-jre问题
帖子发表于 : 2009-07-31 22:28 
头像

注册: 2008-10-27 22:28
帖子: 1151
地址: 暮色酒馆
送出感谢: 0 次
接收感谢: 0 次
要不就换个源


_________________
优猫饼


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 9.04安装sun-java6-jre问题
帖子发表于 : 2009-07-31 23:04 
头像

注册: 2007-11-05 19:26
帖子: 635
送出感谢: 0 次
接收感谢: 0 次
那就上网找个好点的源呗,推荐使用163的


_________________
Everything that has a beginning has an end.


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 9.04安装sun-java6-jre问题
帖子发表于 : 2009-08-03 19:52 

注册: 2007-12-12 12:21
帖子: 10
送出感谢: 0 次
接收感谢: 0 次
谢两位,问题解决。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 9.04安装sun-java6-jre问题
帖子发表于 : 2009-08-03 20:01 

注册: 2009-06-28 17:49
帖子: 72
送出感谢: 0 次
接收感谢: 0 次
呵呵。。解决就好。。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译